package com.inspect.metadata.montdata.service;

import com.inspect.metadata.montdata.domain.BasedataMontNestStaData;

import java.util.List;

public interface IBasedataMontNestStaDataService {
    BasedataMontNestStaData selectBasedataMontNestStaDataByMontNestStaDataId(Long dataId);

    List<BasedataMontNestStaData> selectBasedataMontNestStaDataList(BasedataMontNestStaData staData);

    int insertBasedataMontNestStaData(BasedataMontNestStaData staData);

    int updateBasedataMontNestStaData(BasedataMontNestStaData staData);

    int deleteBasedataMontNestStaDataByMontNestStaDataIds(Long[] dataIds);

    int deleteBasedataMontNestStaDataByMontNestStaDataId(Long dataId);
}
